%define	name	cdrecord
%define	version	1.8
%define	release	1
%define	serial	3
%define	prefix	/usr

Summary:	A command line CD/DVD-Recorder
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Archiving
Vendor:		Joerg Schilling <schilling@fokus.gmd.de>
URL:		http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source:		ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/%{name}-%{version}.tar.gz
Patch0:		cdrecord-1.8-redhat.patch
BuildRoot:	/var/tmp/%{name}-%{version}

Distribution:	Freshmeat RPMS
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
Cdrecord allows you to create CD's on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

%package	devel
Summary:	The libschily SCSI user level transport library
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description	devel
The cdrecord distribution contains a SCSI user level transport
library.  The SCSI library is suitable to talk to any SCSI device
without having a special driver for it.

Cdrecord may be easily ported to any system that has a SCSI device
driver similar to the scg driver.

%package	cdda2wav
Summary:	Get WAV files from digital audio cd's
Group:		Applications/Sound
Obsoletes:	cdda2wav
Provides:	cdda2wav

%description cdda2wav
A sampling utility for cdrom drives that are capable of sending audio
cd data in digital form to your host. Data can be dumped into wav or
sun format sound files. Options control the recording format (stereo/mono;
8,12,16 bits; different rates).

%package	mkisofs
Summary:	Creates a ISO9660 filesystem image
Group:		Applications/System
Obsoletes:	mkisofs
Provides:	mkisofs

%description mkisofs
This is the mkisofs package.  It is used to create ISO 9660
file system images for creating CD-ROMs. Now includes support
for making bootable "El Torito" CD-ROMs.

%prep
%setup -q
%patch0 -p1 -b .redhat

%build
gmake

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
gmake "INS_BASE=$RPM_BUILD_ROOT%{prefix}" install

# Installing Header files for use with devel package
rm include/scg

install -d $RPM_BUILD_ROOT%{prefix}/include/schily/scg
install -m 644 include/* $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 incs/*/xconfig.h $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 libscg/scg/* $RPM_BUILD_ROOT%{prefix}/include/schily/scg

## Preparing doc files for RPM

# cdrecord
{
  pushd doc
  groff -Tps -man cdrecord.man > cdrecord.ps
  popd
}
mkdir cdrecord-rpmdocs
cp AN-%{version} doc/cdrecord.ps Changelog README* Linux.scsi-patch \
   cdrecord/cdrecord.dfl cdrecord-rpmdocs
chmod 644 cdrecord-rpmdocs/*

mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 cdrecord/cdrecord.dfl $RPM_BUILD_ROOT/etc/cdrecord.conf

# cdda2wav
mkdir cdda2wav-rpmdocs
cp AN-%{version} cdda2wav/Frontends cdda2wav/GPL cdda2wav/HOWTOUSE \
   cdda2wav/OtherProgs cdda2wav/README cdda2wav/THANKS cdda2wav/TODO \
   cdda2wav/cdda2mp3 cdda2wav/cdda2mp3.new cdda2wav/cdda_links \
   cdda2wav/pitchplay cdda2wav/readmult cdda2wav/tracknames.pl \
   cdda2wav/tracknames.txt cdda2wav/FAQ \
   cdda2wav-rpmdocs
chmod 644 cdda2wav-rpmdocs/*

# mkisofs
mkdir mkisofs-rpmdocs
cp AN-%{version} mkisofs/COPYING mkisofs/ChangeLog mkisofs/README* \
   mkisofs-rpmdocs
chmod 644 mkisofs-rpmdocs/*

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc cdrecord-rpmdocs/*
%config(noreplace) /etc/cdrecord.conf
%{prefix}/bin/cdrecord
%{prefix}/bin/readcd
%{prefix}/bin/devdump
%{prefix}/bin/isoinfo
%{prefix}/bin/isodump
%{prefix}/bin/isovfy
%{prefix}/man/man1/cdrecord.1
%{prefix}/man/man8/isoinfo.8

%files	devel
%defattr(-,root,root)
%{prefix}/lib/libdeflt.a
%{prefix}/lib/libscg.a
%{prefix}/lib/libschily.a
%{prefix}/include/schily

%files	cdda2wav
%defattr(-,root,root)
%doc cdda2wav-rpmdocs/*
%{prefix}/bin/cdda2wav
%{prefix}/man/man1/cdda2wav.1

%files	mkisofs
%defattr(-,root,root)
%doc mkisofs-rpmdocs/*
%{prefix}/bin/mkisofs
%{prefix}/man/man8/mkisofs.8

%changelog
* Sat Jan 29 2000 Ryan Weaver <ryanw@infohwy.com>
  [cdrecord-1.8-1]
- Upgraded to 1.8 final.
- See AN-1.8 in the doc dir for full details of changes from
  1.6 to 1.8.

